 --------
|BUILDING|
 --------
Make sure you have the environment variable RTHOME set to the absolute
path to the river_tracking directory on your system.  (Place this in
your .bashrc or environment variable settings in your IDE).

Build with make.


 --------------------
|USING WITH PAPARAZZI|
 --------------------
In order for river_tracking to function properly with Paparazzi, you must
create the flight plan with the following specifications:

Waypoints:
----------
    -Your waypoints must be set up something like this:
    <waypoints>
        <waypoint alt="xxx" name="HOME" x="xxx" y="xxx"/>
        <waypoint name="pre_track_setup" x="xxx" y="xxx"/>
        <waypoint name="pre_track_start" x="xxx" y="xxx"/>
        <waypoint name="tracker" x="xxx" y="xxx"/>
        ...other stuff...
    </waypoints>
    
    Explanation:
    -The first waypoint defined can be anything (something like HOME is good)
    -The second and third waypoints defined must be set up such that a line which
     passes through them will also pass through the first point on the river to be
     tracked. It is recommended that they be spaced at least 100ish meters apart
     to ensure that the plane will indeed be flying in a straight line once
     it reaches the first point on the river
    -The fourth waypoint defined is the waypoint which river_tracking will move
     around. It must be placed initially on the river at the desired starting point.
    -All other waypoints can be set up however you'd like.

Blocks:
-------
    -Your blocks must look something like this:
    <blocks>
        <block name="pre_track">
          <go wp="pre_track_setup"/>
          <go from="pre_track_setup" wp="pre_track_start" hmode="route"/>
        </block>
        <block name="track">
          <while cond="TRUE">
            <go wp="tracker"/>
          </while>
        </block>
        ...other stuff...
    </blocks>

    Explanation:
    -The first block defined must go through the second and third waypoints.
    -The second block defined must continually go to the fourth waypoint.
    -All other blocks can be set up however you'd like.






 -----------
|DEVELOPMENT|
 -----------

Project Layout:
---------------
All source files (.c, .h, etc) should be placed under the src directory.
The river_track executable (and other executables) will be placed in the bin
directory.